Card

Collect card payments with Flutterwave. We recommend you read the method overview before you proceed.

Body Params
int32
required

This is the amount to be charged.

string
required

This is the specified currency to charge in.

string
required

This is the number on the cardholders card. E.g. 5399 6701 2349 0229.

string
required

Card security code. This is 3/4 digit code at the back of the customers card, used for web payments.

int32
required

Two-digit number representing the card's expiration month.

int32
required

Two digit number representing the card's expiration year

string
required

This is the email address of the customer

string
required

This is a unique reference peculiar to the transaction being carried out.

authorization
object

This is an object that contains the authorization details of the card you want to charge. The authorization instructions for card charges are returned in the initiate charge call as meta.authorization

boolean

This should be set to true for preauthoize card transactions

string

This is the name of the customer.

string

The full name of the cardholder. This is only required for charges on AMEX cards.

string

The phone number linked to the customer's bank account. This is required for AMEX card charge.

string

This is the id of a previously created payment plan needed to add a card user to the payment plan.

string

This is a url you provide, we redirect to it after the customer completes payment and append the response to it as query parameters. (3DSecure only)

meta
object

This is used to include additional payment information

string

This is the fingerprint for the device being used. It can be generated using a library on whatever platform is being used

string

IP - Internet Protocol. This represents the current IP address of the customer carrying out the transaction

string

This is the Electronic Commerce Indicator (ECI) value provided by the issuer's Access Control Server (ACS) to indicate the results of the attempt to authenticate the payer. This is required for external 3DS transactions.

string
required

This represents the base64 encoded value generated by the card issuer that is returned in the authentication response message and its a required fields from the card schemes documentation.

string

The amount for which the payer authentication has been performed. This is required for external 3DS transactions.

string

EMV 3-D Secure protocol e.g. 2.1.0. This is required for external 3DS transactions.

string

A unique transaction identifier assigned by the Access Control Server to identify the 3DS transaction. This is required for external 3DS transactions.

string

Pass Y to indicate that the authorization was successful. Other options include N, U, A, R. It is recommended that you only attempt to charge for successful authorization. This is required for external 3DS transactions.

string
required

If a_transactionstatus Y then this becomes optional. This is required for external 3DS transactions.

boolean
required

This indicates the use of a custom 3DS provider and as a result the eci, a_authentication, a_version, a_transactionid, a_transactionstatus, a_amount, a_time and a_statusreasoncode are taken into consideration. This is required for external 3DS transactions.

date

It indicates the date and time of the payer's authentication and the card scheme makes use of UTC format. This is required for external 3DS transactions.

Headers
string
required
Defaults to Bearer FLWSECK_TEST-SANDBOXDEMOKEY-X

Pass your secret key as a bearer token in the request header to authorize this call

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json